<template>
  <div class="flex" id="nav">
    <router-link v-show="etaC===true" class="space"   to="/">View all Surveys</router-link>
    <router-link v-show="etaC===true" class="space"  to="/about">Add a Survey</router-link>
    <router-link v-show="etaC===false" class="space"   to="/register"> Register</router-link>
    <router-link v-show="etaC===false" class="space"  to="/login"> Sign-In </router-link>
    <router-view/>
  </div>
</template>

<script>
export default {
  name:'NavBar',
  data(){
    return {
      etaC : this.$store.state.isAuthenticated
    }
  }

}
</script>

<style scoped>

</style>